### Constructor

# Foundry TerminalIntent new

since: 1.1

#### Declaration [src]

    FoundryIntent*
    foundry_terminal_intent_new (
      FoundryTerminalLauncher* launcher
    )

#### Description [src]

Create a new terminal intent.

Available since: 1.1

#### Parameters

`launcher`

  Type: `FoundryTerminalLauncher`

  A `FoundryTerminalLauncher`.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryIntent`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.